Bug 981814 - [abrt] nitrogen-1.5.2-5.fc18: handle_error: Process /usr/bin/nitrogen was killed by signal 5 (SIGTRAP)
[abrt] nitrogen-1.5.2-5.fc18: handle_error: Process /usr/bin/nitrogen was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nitrogen (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
abrt_hash:3d3b5d18b11b502f9ad88047323...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 19:38 EDT by kbridger
Modified: 2014-02-05 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:04:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.35 KB, text/plain)
2013-07-05 19:38 EDT, kbridger
no flags Details
File: cgroup (127 bytes, text/plain)
2013-07-05 19:38 EDT, kbridger
no flags Details
File: core_backtrace (2.83 KB, text/plain)
2013-07-05 19:38 EDT, kbridger
no flags Details
File: dso_list (8.33 KB, text/plain)
2013-07-05 19:38 EDT, kbridger
no flags Details
File: environ (2.38 KB, text/plain)
2013-07-05 19:38 EDT, kbridger
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-05 19:38 EDT, kbridger
no flags Details
File: maps (38.55 KB, text/plain)
2013-07-05 19:38 EDT, kbridger
no flags Details
File: open_fds (314 bytes, text/plain)
2013-07-05 19:39 EDT, kbridger
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-07-05 19:39 EDT, kbridger
no flags Details
File: var_log_messages (526 bytes, text/plain)
2013-07-05 19:39 EDT, kbridger
no flags Details

  None (edit)
Description kbridger 2013-07-05 19:38:40 EDT
Description of problem:
Auto-launch niterogen on login via Gnome's session manager.

Launching nitrogen --restore immediately after display of desktop works fine.

Version-Release number of selected component:
nitrogen-1.5.2-5.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        nitrogen --restore
crash_function: handle_error
executable:     /usr/bin/nitrogen
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            2000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #8 gdk_display_sync at gdkdisplay-x11.c:721
 #9 gdk_x11_image_destroy at gdkimage-x11.c:718
 #10 gdk_image_finalize at gdkimage-x11.c:101
 #12 scratch_image_info_display_closed at gdkimage.c:451
 #17 gdk_display_close at gdkdisplay.c:195
 #18 SetBG::set_bg_xinerama at SetBG.cc:376
 #19 Util::restore_saved_bgs at Util.cc:144
 #20 restore_bgs at main.cc:35
Comment 1 kbridger 2013-07-05 19:38:44 EDT
Created attachment 769430 [details]
File: backtrace
Comment 2 kbridger 2013-07-05 19:38:46 EDT
Created attachment 769432 [details]
File: cgroup
Comment 3 kbridger 2013-07-05 19:38:49 EDT
Created attachment 769433 [details]
File: core_backtrace
Comment 4 kbridger 2013-07-05 19:38:51 EDT
Created attachment 769434 [details]
File: dso_list
Comment 5 kbridger 2013-07-05 19:38:54 EDT
Created attachment 769435 [details]
File: environ
Comment 6 kbridger 2013-07-05 19:38:56 EDT
Created attachment 769436 [details]
File: limits
Comment 7 kbridger 2013-07-05 19:38:59 EDT
Created attachment 769437 [details]
File: maps
Comment 8 kbridger 2013-07-05 19:39:02 EDT
Created attachment 769438 [details]
File: open_fds
Comment 9 kbridger 2013-07-05 19:39:04 EDT
Created attachment 769439 [details]
File: proc_pid_status
Comment 10 kbridger 2013-07-05 19:39:06 EDT
Created attachment 769440 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:15:14 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:04:19 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.